<?php require_once('Connections/cn.php'); ?>
<?php
//header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$docente= $_REQUEST["d"];
$periodo=$_REQUEST["p"];
// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_carreras = "Select distinct
inscripciones.id_carrera,
carreras.nombre_carrera
From
inscripciones
Inner Join carreras ON inscripciones.id_carrera = carreras.id_carrera
where inscripciones.id_docente='$docente' and inscripciones.id_periodo='$periodo' ORDER BY carreras.nombre_carrera";
$rst_carreras = mysql_query($query_carreras, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$total_rows_carreras = mysql_num_rows($rst_carreras);  

if($total_rows_carreras >0)
{
    
	$array_select1 = array(0=>"0");
	$array_select2 = array(0=>"Seleccione...");
	$code=1;
	while($carreras = mysql_fetch_assoc($rst_carreras))
		{
		
			$array_select1[$code] = $carreras["id_carrera"];		
			$array_select2[$code]=  $carreras["nombre_carrera"];	
			$code += 1;
		}
}		

// Bucle para cargar los turnos de las materias que tiene asignadas el docente.
for ($i=0; $i<count($array_select2);$i++){
	echo "<option value=".$array_select1[$i].">".$array_select2[$i]."</option>";
}

?>